//
//  Dependencies+APIServiceTests.swift
//  DependenciesTests
//
//  Created by Javier Cicchelli on 11/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import APIService
import DependencyInjection
import Dependencies
import XCTest

final class DependenciesAPIServiceTests: XCTestCase {
    
    // MARK: Properties
    
    private var testDependency: DependencyTest!
    
    private var apiService: APIService!

    // MARK: Test cases
    
    func test_apiService() throws {
        // GIVEN
        testDependency = .init()
        
        // WHEN
        apiService = testDependency.apiService
        
        // THEN
        XCTAssertNotNil(apiService)
    }

}

// MARK: - Test structs

private struct DependencyTest {
    @Dependency(\.apiService) var apiService
}
